using System;

namespace Prvi_zadatak_Kvalifikacije2_2021
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] line = Console.ReadLine().Split();
            int n = int.Parse(line[0]);
            int k = int.Parse(line[1]);
            string[] x = Console.ReadLine().Split();
            int[] karte = Array.ConvertAll(x, int.Parse);
            Console.WriteLine(Vasa_karta(karte,k));

        }
        static int Vasa_karta(int[] karte,int k)
        {
            int n = karte.Length;
            if (karte[n-1] == k) return karte[0];
            for (int i = 0; i < n-1; i++)
            {
                if (karte[i] == k) return karte[i + 1];
            }
            return 0;
        }
    }
}